Zum Inhalt springen
Leadtime
Deutsch
Esc
navigierenöffnen⌘Jvorschau

Preview a documentation page checkpoint

Returns safe checkpoint metadata, title, tag UUIDs, and normalized rendered HTML. Raw editor and collaboration state are never exposed. Organization members cannot call this endpoint.

GET/projects/documentation/{pageId}/checkpoints/{checkpointId}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
pageIdstring<uuid>required
checkpointIdstring<uuid>required
Responses
200
actorNamestring | null
actorUserIdstring<uuid>required
changedFieldsstring[]required
contentstringrequired
Normalized rendered HTML for the historical page body.
createdAtstring<date-time>required
generationnumberrequired
min 1
idstring<uuid>required
reasonstringrequired
Allowed:baselineintervalidlemaximumpre-restore
tagsstring<uuid>[]required
titlestringrequired
400The page or checkpoint UUID is invalid.
errorstring | object
HTTP error name or a structured HTTP exception response.
Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired
Error message, validation message list, or request-field validation message map.
Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired
HTTP status code for this response.
401Unauthorized - Invalid or missing authentication token
403Organization members cannot access documentation history.
errorstring | object
HTTP error name or a structured HTTP exception response.
Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired
Error message, validation message list, or request-field validation message map.
Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired
HTTP status code for this response.
404The page or checkpoint does not exist or is not accessible.
errorstring | object
HTTP error name or a structured HTTP exception response.
Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired
Error message, validation message list, or request-field validation message map.
Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired
HTTP status code for this response.
Request
curl -X GET "https://leadtime.app/api/public/projects/documentation/497f6eca-6276-4993-bfeb-53cbbbba6f08/checkpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "actorName": "string",
  "actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f",
  "changedFields": [
    "title",
    "content"
  ],
  "content": "<p>Earlier content</p>",
  "createdAt": "2019-08-24T14:15:22Z",
  "generation": 1,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "reason": "idle",
  "tags": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "title": "Earlier runbook"
}